Package org.lwjgl.opengl

# Class NVTextureShader

java.lang.Object
org.lwjgl.opengl.NVTextureShader

public final class NVTextureShader extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_CONST_EYE_NV`
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_CULL_FRAGMENT_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_CULL_MODES_NV`
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_DEPENDENT_AR_TEXTURE_2D_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DEPENDENT_GB_TEXTURE_2D_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_DEPTH_REPLACE_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_TEXTURE_2D_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_DS_BIAS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_DS_SCALE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_DSDT_MAG_INTENSITY_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_DSDT_MAG_NV`
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.
`static final int`
`GL_DSDT_MAG_VIB_NV`
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.
`static final int`
`GL_DSDT_NV`
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.
`static final int`
`GL_DSDT8_MAG8_INTENSITY8_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_DSDT8_MAG8_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_DSDT8_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_DT_BIAS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_DT_SCALE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_HI_BIAS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_HI_SCALE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_HILO_NV`
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.
`static final int`
`GL_HILO16_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_LO_BIAS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_LO_SCALE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_MAGNITUDE_BIAS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_MAGNITUDE_SCALE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_OFFSET_TEXTURE_2D_BIAS_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_OFFSET_TEXTURE_2D_MATRIX_NV`
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_OFFSET_TEXTURE_2D_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_OFFSET_TEXTURE_2D_SCALE_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_OFFSET_TEXTURE_BIAS_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_OFFSET_TEXTURE_MATRIX_NV`
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_OFFSET_TEXTURE_RECTANGLE_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_OFFSET_TEXTURE_SCALE_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_PASS_THROUGH_NV`
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:
`static final int`
`GL_PREVIOUS_TEXTURE_INPUT_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_SHADER_CONSISTENT_NV`
When the <target> parameter GetTexEnvfv and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_SHADER_OPERATION_NV`
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:
`static final int`
`GL_SIGNED_ALPHA_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_ALPHA8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_HILO_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_SIGNED_HILO16_NV`
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.
`static final int`
`GL_SIGNED_INTENSITY_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_INTENSITY8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_LUMINANCE_ALPHA_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_LUMINANCE_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_LUMINANCE8_ALPHA8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_LUMINANCE8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_RGB_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_RGB_UNSIGNED_ALPHA_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_RGB8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_RGBA_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_SIGNED_RGBA8_NV`
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.
`static final int`
`GL_TEXTURE_BORDER_VALUES_NV`
Accepted by the <pname> parameter of TexParameteriv, TexParameterfv, GetTexParameterfv and GetTexParameteriv.
`static final int`
`GL_TEXTURE_DS_SIZE_NV`
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.
`static final int`
`GL_TEXTURE_DT_SIZE_NV`
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.
`static final int`
`GL_TEXTURE_HI_SIZE_NV`
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.
`static final int`
`GL_TEXTURE_LO_SIZE_NV`
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.
`static final int`
`GL_TEXTURE_MAG_SIZE_NV`
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.
`static final int`
`GL_TEXTURE_SHADER_NV`
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv.
`static final int`
`GL_UNSIGNED_INT_8_8_S8_S8_REV_NV`
Accepted by the <type> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.
`static final int`
`GL_UNSIGNED_INT_S8_S8_8_8_NV`
Accepted by the <type> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.
`static final int`
`GL_VIBRANCE_BIAS_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.
`static final int`
`GL_VIBRANCE_SCALE_NV`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_SHADER_NV

public static final int GL_TEXTURE_SHADER_NV
Accepted by the <cap> parameter of Enable, Disable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev, and by the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv.

See Also:
  - Constant Field Values

### GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV

public static final int GL_RGBA_UNSIGNED_DOT_PRODUCT_MAPPING_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_SHADER_OPERATION_NV

public static final int GL_SHADER_OPERATION_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_SCALE_NV

public static final int GL_OFFSET_TEXTURE_SCALE_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_BIAS_NV

public static final int GL_OFFSET_TEXTURE_BIAS_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_2D_SCALE_NV

public static final int GL_OFFSET_TEXTURE_2D_SCALE_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_2D_BIAS_NV

public static final int GL_OFFSET_TEXTURE_2D_BIAS_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_PREVIOUS_TEXTURE_INPUT_NV

public static final int GL_PREVIOUS_TEXTURE_INPUT_NV
When the <target> parameter of TexEnvf, TexEnvfv, TexEnvi, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_CULL_MODES_NV

public static final int GL_CULL_MODES_NV
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_MATRIX_NV

public static final int GL_OFFSET_TEXTURE_MATRIX_NV
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_2D_MATRIX_NV

public static final int GL_OFFSET_TEXTURE_2D_MATRIX_NV
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_CONST_EYE_NV

public static final int GL_CONST_EYE_NV
When the <target> parameter of TexEnvfv, TexEnviv, GetTexEnvfv, and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_SHADER_CONSISTENT_NV

public static final int GL_SHADER_CONSISTENT_NV
When the <target> parameter GetTexEnvfv and GetTexEnviv is TEXTURE_SHADER_NV, then the value of <pname> may be:

See Also:
  - Constant Field Values

### GL_PASS_THROUGH_NV

public static final int GL_PASS_THROUGH_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_CULL_FRAGMENT_NV

public static final int GL_CULL_FRAGMENT_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_2D_NV

public static final int GL_OFFSET_TEXTURE_2D_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_RECTANGLE_NV

public static final int GL_OFFSET_TEXTURE_RECTANGLE_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV

public static final int GL_OFFSET_TEXTURE_RECTANGLE_SCALE_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DEPENDENT_AR_TEXTURE_2D_NV

public static final int GL_DEPENDENT_AR_TEXTURE_2D_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DEPENDENT_GB_TEXTURE_2D_NV

public static final int GL_DEPENDENT_GB_TEXTURE_2D_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_NV

public static final int GL_DOT_PRODUCT_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_DEPTH_REPLACE_NV

public static final int GL_DOT_PRODUCT_DEPTH_REPLACE_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_TEXTURE_2D_NV

public static final int GL_DOT_PRODUCT_TEXTURE_2D_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV

public static final int GL_DOT_PRODUCT_TEXTURE_RECTANGLE_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV

public static final int GL_DOT_PRODUCT_TEXTURE_CUBE_MAP_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV

public static final int GL_DOT_PRODUCT_DIFFUSE_CUBE_MAP_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV

public static final int GL_DOT_PRODUCT_REFLECT_CUBE_MAP_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV

public static final int GL_DOT_PRODUCT_CONST_EYE_REFLECT_CUBE_MAP_NV
When the <target> and <pname> parameters of TexEnvf, TexEnvfv, TexEnvi, and TexEnviv are TEXTURE_SHADER_NV and SHADER_OPERATION_NV respectively, then the value of <param> or the value pointed to by <params> may be:

See Also:
  - Constant Field Values

### GL_HILO_NV

public static final int GL_HILO_NV
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.

See Also:
  - Constant Field Values

### GL_DSDT_NV

public static final int GL_DSDT_NV
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.

See Also:
  - Constant Field Values

### GL_DSDT_MAG_NV

public static final int GL_DSDT_MAG_NV
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.

See Also:
  - Constant Field Values

### GL_DSDT_MAG_VIB_NV

public static final int GL_DSDT_MAG_VIB_NV
Accepted by the <format> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_S8_S8_8_8_NV

public static final int GL_UNSIGNED_INT_S8_S8_8_8_NV
Accepted by the <type> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_8_8_S8_S8_REV_NV

public static final int GL_UNSIGNED_INT_8_8_S8_S8_REV_NV
Accepted by the <type> parameter of GetTexImage, TexImage1D, TexImage2D, TexSubImage1D, and TexSubImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_RGBA_NV

public static final int GL_SIGNED_RGBA_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_RGBA8_NV

public static final int GL_SIGNED_RGBA8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_RGB_NV

public static final int GL_SIGNED_RGB_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_RGB8_NV

public static final int GL_SIGNED_RGB8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE_NV

public static final int GL_SIGNED_LUMINANCE_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE8_NV

public static final int GL_SIGNED_LUMINANCE8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE_ALPHA_NV

public static final int GL_SIGNED_LUMINANCE_ALPHA_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_LUMINANCE8_ALPHA8_NV

public static final int GL_SIGNED_LUMINANCE8_ALPHA8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_ALPHA_NV

public static final int GL_SIGNED_ALPHA_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_ALPHA8_NV

public static final int GL_SIGNED_ALPHA8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_INTENSITY_NV

public static final int GL_SIGNED_INTENSITY_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_INTENSITY8_NV

public static final int GL_SIGNED_INTENSITY8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_RGB_UNSIGNED_ALPHA_NV

public static final int GL_SIGNED_RGB_UNSIGNED_ALPHA_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV

public static final int GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV
Accepted by the <internalformat> parameter of CopyTexImage1D, CopyTexImage2D, TexImage1D, and TexImage2D.

See Also:
  - Constant Field Values

### GL_HILO16_NV

public static final int GL_HILO16_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_HILO_NV

public static final int GL_SIGNED_HILO_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_SIGNED_HILO16_NV

public static final int GL_SIGNED_HILO16_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_DSDT8_NV

public static final int GL_DSDT8_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_DSDT8_MAG8_NV

public static final int GL_DSDT8_MAG8_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_DSDT_MAG_INTENSITY_NV

public static final int GL_DSDT_MAG_INTENSITY_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_DSDT8_MAG8_INTENSITY8_NV

public static final int GL_DSDT8_MAG8_INTENSITY8_NV
Accepted by the <internalformat> parameter of TexImage1D and TexImage2D.

See Also:
  - Constant Field Values

### GL_HI_SCALE_NV

public static final int GL_HI_SCALE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_LO_SCALE_NV

public static final int GL_LO_SCALE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_DS_SCALE_NV

public static final int GL_DS_SCALE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_DT_SCALE_NV

public static final int GL_DT_SCALE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_MAGNITUDE_SCALE_NV

public static final int GL_MAGNITUDE_SCALE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_VIBRANCE_SCALE_NV

public static final int GL_VIBRANCE_SCALE_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_HI_BIAS_NV

public static final int GL_HI_BIAS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_LO_BIAS_NV

public static final int GL_LO_BIAS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_DS_BIAS_NV

public static final int GL_DS_BIAS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_DT_BIAS_NV

public static final int GL_DT_BIAS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_MAGNITUDE_BIAS_NV

public static final int GL_MAGNITUDE_BIAS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_VIBRANCE_BIAS_NV

public static final int GL_VIBRANCE_BIAS_NV
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, GetDoublev, PixelTransferf, and PixelTransferi.

See Also:
  - Constant Field Values

### GL_TEXTURE_BORDER_VALUES_NV

public static final int GL_TEXTURE_BORDER_VALUES_NV
Accepted by the <pname> parameter of TexParameteriv, TexParameterfv, GetTexParameterfv and GetTexParameteriv.

See Also:
  - Constant Field Values

### GL_TEXTURE_HI_SIZE_NV

public static final int GL_TEXTURE_HI_SIZE_NV
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.

See Also:
  - Constant Field Values

### GL_TEXTURE_LO_SIZE_NV

public static final int GL_TEXTURE_LO_SIZE_NV
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.

See Also:
  - Constant Field Values

### GL_TEXTURE_DS_SIZE_NV

public static final int GL_TEXTURE_DS_SIZE_NV
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.

See Also:
  - Constant Field Values

### GL_TEXTURE_DT_SIZE_NV

public static final int GL_TEXTURE_DT_SIZE_NV
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.

See Also:
  - Constant Field Values

### GL_TEXTURE_MAG_SIZE_NV

public static final int GL_TEXTURE_MAG_SIZE_NV
Accepted by the <pname> parameter of GetTexLevelParameterfv and GetTexLevelParameteriv.

See Also:
  - Constant Field Values